---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libRedefineDoubleDelete.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x3A64, symSize: 0x4 }
  - { offsetInCU: 0x4D, offset: 0x4D, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0xC7D8, symBinAddr: 0x8028, symSize: 0x0 }
  - { offsetInCU: 0x5834, offset: 0x5834, size: 0x8, addend: 0x0, symName: _newClassData, symObjAddr: 0xC7E0, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x5849, offset: 0x5849, size: 0x8, addend: 0x0, symName: _newClassDataLen, symObjAddr: 0xC7E8, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0x5852, offset: 0x5852, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x3A64, symSize: 0x4 }
  - { offsetInCU: 0x5896, offset: 0x5896, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x3A64, symSize: 0x4 }
  - { offsetInCU: 0x58A8, offset: 0x58A8, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x4, symBinAddr: 0x3A68, symSize: 0x160 }
  - { offsetInCU: 0x599B, offset: 0x599B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x164, symBinAddr: 0x3BC8, symSize: 0x4 }
  - { offsetInCU: 0x59DF, offset: 0x59DF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x164, symBinAddr: 0x3BC8, symSize: 0x4 }
  - { offsetInCU: 0x59F1, offset: 0x59F1, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x168, symBinAddr: 0x3BCC, symSize: 0x8 }
  - { offsetInCU: 0x5A6B, offset: 0x5A6B, size: 0x8, addend: 0x0, symName: _Callback_ClassFileLoadHook, symObjAddr: 0x170, symBinAddr: 0x3BD4, symSize: 0x160 }
...
